import { APIClient } from "./ApiClient";

export class EnergyApi {
  /**
   * Get current house consumption
   */
  static async CurrConsumption(): Promise<number> {
    const data = await APIClient.exec({
      method: "GET",
      uri: "/energy/curr_consumption",
    });
    return data.data.consumption;
  }

  /**
   * Get current cached consumption
   */
  static async CachedConsumption(): Promise<number> {
    const data = await APIClient.exec({
      method: "GET",
      uri: "/energy/cached_consumption",
    });
    return data.data.consumption;
  }
}
