#pragma once

/**
 * Device reference
 */
#define DEV_REFERENCE "Wt32-Eth01"

/**
 * Device version
 */
#define DEV_VERSION "0.0.1"

/**
 * Device max number of relays
 */
#define DEV_MAX_RELAYS 1

/**
 * Backend unsecure API URL
 */
#define BACKEND_UNSECURE_URL "http://devweb.internal:8080"

/**
 * Device name len
 */
#define DEV_NAME_LEN 10

/**
 * Private key max length
 */
#define PRV_KEY_DER_MAX_BYTES 1500

/**
 * Root CA max length
 */
#define ROOT_CA_MAX_BYTES 3000

/**
 * Device certificate max length
 */
#define DEV_CERT_MAX_BYTES 3000

/**
 * Secure origin len
 */
#define SEC_ORIG_LEN 255